Loading...
Searching...
No Matches
PeriodicTableScene Class Reference
Inheritance diagram for PeriodicTableScene:

## Public Slots

void | changeElement (int element)

## Signals

void | elementChanged (int element)

## Public Member Functions

| PeriodicTableScene (QObject *parent=nullptr)

## Protected Member Functions

void | mousePressEvent (QGraphicsSceneMouseEvent *event) override

## Constructor & Destructor Documentation

## PeriodicTableScene()

PeriodicTableScene | ( | QObject * | parent = nullptr | ) |

explicit

Constructor.

## Member Function Documentation

## elementChanged

void elementChanged | ( | int | element | ) |

signal

This signal is emitted when an element item is clicked.

## changeElement

void changeElement | ( | int | element | ) |

slot

This slot is called when an element is changed (e.g., by keyboard or code).

## mousePressEvent()

void mousePressEvent | ( | QGraphicsSceneMouseEvent * | event | ) |

override protected

Handles the mouse press events to change the active element.

The documentation for this class was generated from the following file:

- periodictablescene_p.h